Package ru.bitel.bgbilling.modules.mps.server.bean

# Class Conf

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.util.Config
ru.bitel.bgbilling.modules.mps.server.bean.Conf

public final class Conf extends bitel.billing.server.util.Config

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `Conf.MPSSystem`
  конкретный настроенный пртокол под каким-то конкретным mpsId
  `static enum`
  `Conf.Protocol`
  `static enum`
  `Conf.SearchType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `mpsLoginContains`
  `final String`
  `mpsLoginFormat`
  `final String`
  `mpsLoginFormatErrorMessage`
  `final Pattern`
  `mpsLoginPattern`
  `final Map<String,Conf.MPSSystem>`
  `mpsSystems`
  мэп mpsId => MPSSystem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Conf(int moduleId, ParameterMap setup, Setup serverSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMpsSystemRequestEncoding(String mpsId)`
  `static void`
  `main(String[] args)`

  ### Methods inherited from class bitel.billing.server.util.Config

  `booleanListToArray, intListToArray, longListToArray, patternListToArray, stringListToArray, toArray`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mpsSystems

    public final Map<String,Conf.MPSSystem> mpsSystems
    мэп mpsId => MPSSystem

  - ### mpsLoginFormat

    public final String mpsLoginFormat

  - ### mpsLoginPattern

    public final Pattern mpsLoginPattern

  - ### mpsLoginFormatErrorMessage

    public final String mpsLoginFormatErrorMessage

  - ### mpsLoginContains

    public final boolean mpsLoginContains

- ## Constructor Details

  - ### Conf

    public Conf(int moduleId, ParameterMap setup, Setup serverSetup)

- ## Method Details

  - ### getMpsSystemRequestEncoding

    public String getMpsSystemRequestEncoding(String mpsId)

  - ### main

    public static void main(String[] args)